Valorant API Unofficial docs
API Reference Authentication Endpoints
PUT

Multi-Factor Authentication

Submits a multi-factor authentication code for login

Server auth.riotgames.com Auth None
PUT https://auth.riotgames.com/api/v1/authorization
Try this request in the browser with your own values

Headers

Content-Type string required
Value application/json

Body

type literal
multifactor object
Show nested attributes Hide nested attributes 2
otp string

The multi-factor authentication code

rememberDevice boolean